{ lib, fetchFromGitHub, kernel }:

kernel.stdenv.mkDerivation rec {
  pname = "xmm7360-pci";
  version = "unstable-20210802";

  src = fetchFromGitHub {
    owner = "xmm7360";
    repo = pname;
    rev = "b28714b6fb73887ecd5c0c25ffc0613d6eab6533";
    sha256 = "sha256-wNSQZvPL297pTAVT9Hj4IgcsHSc7KVNe7K0raS0bObg=";
  };

  nativeBuildInputs = kernel.moduleBuildDependencies;

  patches = [ ./fix.patch ];

  makeFlags = [
    "KDIR=${kernel.dev}/lib/modules/${kernel.modDirVersion}/build"
  ];

  installPhase = ''
    install -m0644 -D xmm7360.ko $out/lib/modules/${kernel.modDirVersion}/misc/xmm7360.ko
  '';

  meta = with lib; {
    description = "PCI driver for Fibocom L850-GL modem base on Intel XMM7360 modem";
    homepage = src.meta.homepage;
    license = licenses.gpl2;
    maintainers = with maintainers; [ aw ];
    platforms = platforms.linux;
  };
}
